/*
 * Created on 2005-05-12
 *  : ֻ
 */
package org.sangsu.util;
import java.sql.CallableStatement;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.sql.DataSource;

/**
 * HMM EJB Common.UtilDB.java.java
 */
public class UtilDB {

    public static Connection getConnection(String jndiName) throws Exception
	{
		Connection conn = null;
		try {
			Context ctx = new InitialContext();
			
			DataSource ds = (DataSource) ctx.lookup(jndiName);

			if (ds != null) {
				conn = ds.getConnection();
			}

		} catch (Exception e) {
			e.printStackTrace();
			throw new Exception(e);
		}
		return conn;
	}
	
	public static void closeConnection(Connection con) 
	{
		if(con != null)
		{
			try {
				con.close();
				con = null;
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
	}

	public static void closeConnection(Connection con, PreparedStatement pstmt) 
	{
		if(pstmt != null)
		{
			try {
				pstmt.close();
				pstmt = null;
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
		if(con != null)
		{
			try {
				con.close();
				con = null;
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
	}

	public static void closeConnection(Connection con, PreparedStatement pstmt, ResultSet rs) 
	{
		if(rs != null)
		{
			try {
				rs.close();
				rs = null;
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
		if(pstmt != null)
		{
			try {
				pstmt.close();
				pstmt = null;
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
		if(con != null)
		{
			try {
				con.close();
				con = null;
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
		
	}
	
	public static void closeConnection(Connection con, Statement stmt) 
	{
		if(stmt != null)
		{
			try {
				stmt.close();
				stmt = null;
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
		if(con != null)
		{
			try {
				con.close();
				con = null;
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
		
	}
	
	public static void closeConnection(Connection con, Statement stmt, ResultSet rs) 
	{
		if(rs != null)
		{
			try {
				rs.close();
				rs = null;
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
		if(stmt != null)
		{
			try {
				stmt.close();
				stmt = null;
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
		if(con != null)
		{
			try {
				con.close();
				con = null;
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
	}
	
	public static void closeConnection(Connection con, CallableStatement cstmt) 
	{
		if(cstmt != null)
		{
			try {
				cstmt.close();
				cstmt = null;
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
		if(con != null)
		{
			try {
				con.close();
				con = null;
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
		
	}
	
	public static void closeConnection(Connection con, CallableStatement cstmt, ResultSet rs) 
	{
		if(rs != null)
		{
			try {
				rs.close();
				rs = null;
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
		if(cstmt != null)
		{
			try {
				cstmt.close();
				cstmt = null;
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
		if(con != null)
		{
			try {
				con.close();
				con = null;
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
	}
}
